WRS App

This Ebook is a replica of the WRS App that I have developed to give the user the feel and look on how it works. This is a detailed step-by-step guide!

WRS App is a PC software for Windows developed for the Water Refilling Station Business. It is a bundle of apps organized into two main Groups: WRS - Accounting. and WRS - Operations

The App Center is the Home Page of WRS System. Clicking the HOME icon at the page header of any of the apps, will bring the screen to the App Center.

WRS - Basic Accounting bundle, it comprises the following apps:

1. Journal (Book of Original Entry)

2. Cash Receipts

3. Cash Disbursements

4. Ledger (Summary of Accounts)

5. End-of-Month Routine

6. Income Statement

7. Trial Balance

8. Balance Sheet

The screen shot is shown below,

And, for the WRS - Operations is composed of the following apps:

1. Sales

2. Production

3. Quality Control (QC)

4. Personnel

5. Store

6. System Up-keeping

7. System Settings

8. WRS App Validation

The screen shot is as shown,


Dedication

To my wife Sally, children Jon and Janine, and to my first grandson, 2-year old Nathan whom I suppose by the time he is 10 years old, this Wrs App that I have developed will already be obsolete. But for now, I am glad I have finished both the WRS App and this ebook, thanks to all of you for your inspiration. - 28 Oct. 2022

Ely Quijano .


Log-in, Editing, Deleting, and Restoring Database Backup

To protect the system from unintentional editing, deleting and restoring database backup, authorization code and password are required when undertaking these actions:

1. At App Center Login:

a. User Name : Wrs

b. Password: Wrs

2. Edit and Delete

authorization code: 12345

3. Restore Database Backup

WRS Password: Wrs!


Trial Data Used in WRS App

Transactions that transpired during the period June 1, 2022 to June 30, 2022

1. On June 1, 2022 Mr. Liu the Owner of EPFComposite Water Refilling Station, deposited in the bank for his investment capital amounting to P800,000.00.

2. On June 1, 2022 Mr. Liu bought a 25-stage RO Setup for his water-refilling station business in the amount of P350,000.00.

3. Mr. Liu purchased the following:

a. June 2, 2022 - 1 unit of Kolong-Kolong trike as delivery vehicle with the amount of P50,000.00.

b. June 2, 2022 - 2 PCS of TDS meter for P3,000.00 each

c. June 1, 2022 - 1 PC of pH meter for P2,800.00.

d. June 2, 2022 - 1 PC of 5 Micron Sediment Filter for P280.00. from Ace Hardware, Tacloban City

e. June 2, 2022 - 1 PC of 5 Micron Carbon filter for P350.00 from Ace Hardware, Tacloban City.

f. June 1, 2022 - 250 PCS of 5-Gal Round Plastic Jug for P108.00 each from Ace Hardware.

4. Supplies Purchased

a. June 3, 2022 - 2 PCS of Masking Tape for P85.00 from Ace Hardware, Tacloban City

b June 4, 2022 - 2 PCS of Box Cutter for P175.00 from Ace Hardware, Tacloban City

c June 1, 2022 - 2 PC of Pencil for P150.00 from Ace Hardware, Tacloban City

d June 4, 2022 - 1 Ream of Bond Paper for P350.00 from Ace Hardware, Tacloban City5.

Supplies Issued

a. June 3, 2022 - 2 PCS of Masking Tape for P85.00 issued to Plant

b June 4, 2022 - 2 PCS of Box Cutter for P175.00 issued to Plant

c June 1, 2022 - 2 PC of Pencil for P150.00 issued to Plant

d June 4, 2022 - 1 Ream of Bond Paper for P350.00 issued to Plant

6. For the whole month of June 1 to June 30, business has the following Production performance:

a. June 17, 2022 - 20-Liter Round Jug refilled: 200 PCS

b. June 18, 2022 - 20-Liter Round Jug refilled: 500 PCS

c. June 19, 2022 - 20-Liter Round Jug refilled: 600 PCS

d. June 20, 2022 - 20-Liter Round Jug refilled: 1,200 PCS

e. June 21, 2022 - 20-Liter Round Jug refilled: 310 PCS

7. Mr. Liu has made the following sales:

a. June 17, 2022 - sold 60 PCS of empty 20-Liter Round Pastic Jug at P120.00 each.

b. June 18,2022 - sold 200 PCS of 20-Liter refilled Finished Product at P25.00 each

c. June 20,2022 - sold 310 PCS of 20-Liter refilled Finished Product at P25.00 each

d. June 21,2022 - sold 500 PCS of 20-Liter refilled Finished Product at P25.00 each

8. Raw Water Used

From June Water Bill - Amount: P990.00 at P0.0165/Liter for 60,000 Liters

9. Electric Bill Utilities

From June electric bill - Amount P5,000.00

10. Direct Labor

For the month of June 2022 - P6,000.00

11. Indirect Labor

For the month of June 2022 - P6,250.00

12. Indirect Labor (Superintendence)

For the month of June 2022 - P6,000.00

13. Plant and Office Rental

For the month of June 2022 - P10,000.00

14. Tax and Licenses

Paid on June 15, 2022 - P5,000.00


Generate Reports

The common goal of all the apps comprising the two bundles is to simplify the data-encoding or at the very least, guide the user to capture data to the appropriate tables so that in the end, the system is able to generate accurate reports. These reports are very useful in the decision-making in the way you run your business.

The following is a list of reports that WRS App system can quickly generate:

WRS - Operation

1. Sales Report According to Order ID

2. Sales Report According to Customer Name

3. Production Report

4. QC In-house Report

5. Bacteriological and Bilogical Tests Report

6. Chemical and Physical Tests Report

7. Assets List Report

8. Current Store Inventory Report

9. Supplies-in Report

10. Supplies-out Report

11. Monthly Payroll Report

WRS - Accounting

1. Journal Book of Original Entry

2. Cash Receipts Report

3. Cash Disbursement Report

4. Ledger (Summary of Account Transactions) Report

5. Accounts Entries Verification Report (useful in finding-out transaction posting errors)

6. Income Statement Report

7. Trial Balance Report

8. Balance Sheet Report

Every section of the app is provided with a help instruction on how a particular task is done. To access it, from the section header, located at the upper-right hand side, click the '?' icon.

Logo and letterhead appearing on the app and its reports can be replaced with your own logo and letterhead. Go to the App Center, System Settings, Miscellaneous Setup, then click Edit from the section menu bar. If you need further help, click the '?' icon from the section header of that form.


Required System Setup

Initial System Setup

1. Miscellaneous Setup

Purpose:

a. To change the logo and letterhead

b. To edit the owner's name

c. To edit the business address

d. To input or edit the API key. The API key allows the system to access the Google Maps. As you know, Google Maps monetized the use of their resources.

e. To input the number of shifts you have in your WRS business (default=1)

f. To input overtime rate (default=1.20)

g. To input working hours (deafult=8)

h. To input the name of the day for weekend (default=Sunday)

For additional help, click '?' icon from the section header of the form.

To access the Miscellaneous Setup form, from the App Center, go to System Settings, Miscellaneous Setup, then click Edit from the section menu bar. If you need further help, click the '?' icon from the section header of that form.

2. Create the Supplies Masterlist

Purpose:

a. To organize the Store inventory list. To access the data-entry form, from the App Center, go to Store app, Supplies Masterlist, then click Add. For specific help, click the '?' located at the section header of the form.

b. To define the supplies TYPE and GROUP. Upon installation, the system has pre-installed list definition for TYPE and GROUP. You can insert new TYPE and GROUP definition but you cannot delete or edit any of the pre-defined ones..

This list will populate the combobox for Supplies Type and Supplies Group when the data-entry form opens for Supplies Masterlist form. To Add new item for the Supplies Type or Group, go to the App Center, System Up-Keeping, Item Type, then click Add. For the Supplies Group, go to the App Center, System Up-Keeping, Item Group, then click Add.

3. Create the Suppliers List

Purpose:

a. To organize your business suppliers list. To access your suppliers data-entry form, go to the App Center, System Up-Keeping, Suppliers List, then click Add.

4. Create the Issued To List

Purpose:

a. To organize the Issued To list. Once in this list, whenever you issue any store supplies, the Issued To combobox of the Supplies-out form, populates the choices from this list To access the data-entry form, go to the App Center, System Up-Keeping, Issued To, then click Add

5. Create the Chart of Accounts

Purpose: To maintain your business chart of accounts. The system upon installation has its chart of accounts already created. You can insert new one but cannot edit or delete pre-created items in the chart of accounts. The numbering is made with intervals of 10 to allow the insertion of accounts that possses similar properties. To access the data-entry form, go to the App Center, System Up-Keeping, Chart of Accounts, then click Add

6. Create Asset List

Purpose: ASSET list, as its name suggest, is a list of your business non-current assets, shown in this screen shot.


Product Definition List

Products in WRS must be defined along with its corresponding product recipe. To define a product means you have to set the following product parameters:

1. Product ID

2. Description

3. Unit of Measure (UOM)

4. Size in Liters

5. Product Code

6. Product Type

Once the parameters are set, it is a must that its coressponding recipe parameter must also be set. These are:

1. Product ID

2. Raw Materials and Accessories

3. Quantity

4. Unit of Measure (UOM)

5. Raw Materials and Accessories ID (RM and ACC ID)

As can be seen from these 2 tables, they are related by their Product ID, hence when the Product ID of the Product List table is highlighted, the corresponding Recipe table displays all the items belonging to that particular product as can be illustrated in the screen shot,

To go to the Product List and Product Recipe tables, from the App Center, go to System Settings, then down below, the Product list grid control, click the section menu bar and click Add. For specific help, click on the '?' icon from the section header of the Product List grid control.


WRS System Backup and Restore

There are two ways to make a system backup:

1. Overwrite Previous Backup - old backup is overwritten by the new backup. It saves hard disk space but the drawback is, if the new backup has a corrupted files, it will overwrite the old but good ones with the corrupted files.

2. Backup to New Folder - backup is copied to a new folder separate from the previous. Everytime the backup is made, a new directory is created programmatically. The drawback, it requires more hard disk space everytime a backup is made. Solution to this problem is to delete older backups manually thru the usual Windows Explorer interface.

Access this facility from the App Center, go to System Up-Keeping, at the topmost section WRS System Backup and Restore, then click Data Backup (please refer to the screen shot below),

To restore the backup files, WRS system has an easy interface to follow:

From the App Center, go to System Up-Keeping, at the topmost section and to the right of WRS System Backup and Restore, click Restore Database (please refer to the screen shot below),

Setup the Help Files

During the WRS App installation, its system help files is likewise programmatically installed. However, some Windows versions, it was noted that these help files are being skipped. This facility provides the solution to that issue. To access, from the App Center, go to System Up-Keeping, at the topmost section and to the right of WRS System Backup and Restore, click Miscellaneous Setup (please see the screen shot),

About WRS

This section displays the product key and discusses about the program developer and the program itself.

To access, from the App Center, go to System Up-Keeping, at the topmost section and to the right of WRS System Backup and Restore, click Miscellaneous Setup (please see the screen shot),


How to Acquire the WRS App and this Ebook

To download the WRS App 30-day free evaluation and the free Ebook

1. You can go straight to our Website: http://www.epfcomposite.com/downloads

2. Or, you can send me an email (elias@epfcomposite.com), I will send you the link;

3. Or, send me a message thru Messenger at Elias Quijano;


Navigation

Left-side navigation bars

Clicking the Customers will display the Customers page.


Customers

The primary purpose of the Sales App is to provide the system with the means to input and collect data for the customers and their orders. These data includes: Customer's name, Contact number, Contact Address, and other details. Also, it helps collect data for each customer's orders, deliveries, invoices, and other sales records. It also has the facility to get and print the Sales Reports.

Access the Sales app from the App Center by clicking the icon as shown,

This is the Customers Page and this is the main page of the Sales app.

2 ways to display the customer's record:

1. By clicking the Customers List menu bar

2. By typing the customer name on the search box.

At the Customers Section header, it has the following menu bars and its respective menu items:

1. Customers List

2. Customers

>Add

>Edit

>Delete

3. About

>About WRS App

>Help

At the top-left of the page is the Customers Notes. Here, you can write important notes for that particular customer. It is provided with a rich-text editor

To start writing the customers notes, click the Edit Icon first, and when you are done, click the Edit Icon again, to save it.


Customer's List

When Customers List menu bar is clicked, a pop-up browse window opens and to select the specific customer's name, double-click the name. The record displayed in the section, changes to that of the selected record.


Customer (Add, Edit, Delete)

To Add, Edit, or Delete a customer record, click the Customers menu bar, and the drop-down menu items Add, Edit, and Delete shows-up.

Clicking the menu item, Add will call the empty Customers Dialog Panel,

Customers Dialog Panel

Menu Item: Add

1. Customer ID - system-generated after typing-in the contact name and company name. Leave it blank momentarily;

2. Contact Name - type-in the contact name, press 'F1' key. System generates 'Customer ID'. In case a duplicate exist in the system-generated 'Customer ID', manually edit the customer ID to make it unique;

3. Company Name - type-in the company name. If no company name, type-in the personal name of the customer. It is okay to have the same contact name and company name;

4. Contact Title - choices: Mr. Ms. Mrs., Engr. Dr., etc.;

5. Address - type-in the full address;

6. Latitude/Longitude - key-in if you have the value. If none, leave it blank and type-in later by way of 'Edit'. To get the value, run the Google map from Windows and find the exact location. Copy the geocode and input here in this field;

7. City/Municipality - type-in the value;

8. Province - Type-in the province

9. Region - type-in the region number (1 -13);

10. Postal Code - type-in the postal code;

11. Country - value is defaulted to 'Philippines', this is required for the Google map;

12. Notes - you can leave this blank and input it later by using the 'Edit' feature;

13. Click 'Ready to Save' to enable 'Save Data' button;

14. Click the 'Save Data' button to save the data. The dialog panel is released and the newly saved data is displayed at the bottom of the 'Customers' section grid control.

Reminder: If you want to cancel the data-entry at the dialog panel, you can do so (before it is saved) by clicking the Cancel button as shown in the above dialog panel screen shot.

Customers Dialog Panel

Menu Item: Edit

In Edit mode, the Customers Dialog Panel, all its fields are filled with the existing data. Work on the fields that you want to edit by directly typing the changes you want.

1. Customer ID

2. Contact Name

3. Company Name

4. Contact Title

5. Address

6. Latitude/Longitude

7. City/Municipality

8. Province

9. Region

10. Postal Code

11. Country

12. Notes

13. Click 'Ready to Save' to enable 'Save Data' button;

14. When enabled, click the 'Save Data' button to save the data.

Menu Item: Delete

1. To delete, first click the menu bar, Customers List, then select the customer name that you want to delete;

2. Go back here then click the menu item Delete;

3. The system will prompt you to enter your authorization code to delete (authorization code is asked whenever you do Edit or Delete);

4. If the authorization code is accepted, the customer's record is deleted! It cannot be recovered.


About (About WRS App, Help )

Menu bar: About

Clicking the menu bar About, opens the menu items About WRS App and Help.

About WRS App

It discusses this WRS App and its developer, it also displays the one-time, lifetime license key.

Help Topics

Generally, every section in the WRS app is provided with a contextual help and is accessible thru the '?' icon located at the upper-right-hand side of the section header. However, the dialog panel that opens after clicking the Help menu item, is organized according to topic in alphabetical order.


Orders

From the Navigation Panel, clicking Orders will bring the screen to the Orders section which displays all the oders of the customer selected in the Customers List.

To Add,

1. First, go to 'Customers' and select that specific customer (by double-click);

2. Then, go back here and from the section menu bar, click 'Add';

3. A dialog panel data-entry form will slide from the right-hand side of the screen. To know the step-by-step procedure on how to fill-up the form, click the '?' icon located at the upper-right-hand corner of the dialog panel.

Note: To make the Orders menu bar accessible, double-click the row in the grid control.

Reminder: In all dialog panels, if you want to close it without saving the data, DO NOT click the 'X' icon at the upper rightmost corner of the dialog panel. Instead, click the Abort and Close button located at the bottom-right of the dialog panel. Dialog panels slides from the right side of the screen when you Add or Edit. If you happen to click it and the succeeding screen gives erratic results, please go to the App Center by clicking the home icon, then at the App Center, logout. Login, and run the app again.

As the data-entry dialog panel loads, Order ID field is already filled with a value. The system generates this value by checking the last Order ID +1. The same procedure is applied for the generation of OR No. (Invoice No.). For the other fields with system-filled values, the system silently grabs the data from its database. User has to input values to few fields that requires data-entry. When done, click Ready to Save. And, when enabled, click the Save Data button.

Should you decide to cancel your entries instead of saving it, click the Cancel button (below the Ready to Save button), as illustrated in the screen shot above.

To Edit,

First, position the highlight bar at the Orders section to the specific row you want to edit. From the section menu bar, click 'Edit'. A dialog panel will slide from the righ side of the screen where you can edit the data. To know the steps in editing the data-entry form, click the '?' icon located at the upper right-hand corner of the dialog panel.

To Delete,

At the Orders section, position the highlight bar to the specific row that you want to delete. At the section menu bar, click 'Delete'. You will be prompted to confirm the deletion. Yes, to proceed to delete. No, to abort.

To edit or delete, you will be asked to enter your authorization code.


Order Details

The Order Details section is a grid control that displays the list of all order details made by this particular customer. At the section header, you will see the total amount of all orders made for a particular order ID.

To Add,

1. First, go to 'Customers' and select that specific customer (by double-click). Then, go to Orders section and position the highlight bar to the specific Order ID;

2. Then, go back here and from the section menu bar, click 'Add';

3. A dialog panel data-entry form will slide from the right-hand side of the screen. To know the step-by-step procedure on how to fill-up the form, click the '?' icon located at the upper-right-hand corner of the dialog panel.

4. Fill-up the empty fields that requires your input (Product Description, Unit Price, Quantity);

5. When you are ready to save the data, click Ready to Save button;

6. And then, click the Save Data button.

Please take note of the reminder for all dialog panels.

To Edit,

First, position the highlight bar at the Order Details section to the specific row you want to edit. From the section menu bar, click 'Edit'. A dialog panel will slide from the right side of the screen where you can edit the data. To know the steps in editing the data-entry form, click the '?' icon located at the upper right-hand corner of the dialog panel.

To Delete,

At the Order Details section, position the highlight bar to the specific row that you want to delete. At the section menu bar, click 'Delete'. You will be prompted to confirm the deletion. Yes, to proceed to delete. No, to abort.

To edit or delete, you will be asked to enter your authorization code.

To Generate Invoice

1. Position the highlight bar to the record that you want to generate an invoice;

2. From the section menu bar, click Invoice;

Steps to generate the invoice

1. Select the customer from the customer's list;

2. From the Navigation Panel, click Orders;

3. From the control grid, select the record having the ORDER ID that you want to generate invoice;

4. From the Navigation Panel, select the Order Details, then from the grid control, double-click any of the records, to open the Invoice menu bar;

5. Finally, click Generate Invoice.


Borrowed Items

This section allows you to record items borrowed by your customers (empty jugs, water dispenser, etc.) It has also an empty borrower's form that you can print.

To Add

Fill-up the form as follows:

1. Customer ID - system-generated, keep it as it is;

2. Item Description - you must type-in the description of the item and must include specs of the item;

3. Quantity - input the quantity, this is very important;

4. Date Borrowed - input the date, this is very important;

5. Date Returned - make this field empty when lending the item, but must be filled-up upon return;

6. Status of Borrowed Item - select the default UNRETURNED when lending, but upon return, choose RETURNED;

7. Click Ready to Save, to open the Save Data button;

8. Click Save Data button.

At the time the borrowed item is returned,

1. From the Borrowed Items menu bar, click Edit;

2. At the Dialog Panel, go to Status of Borrowed Item, then select RETURNED;

3. At the Date Returned field, select the date;

4. At the Reference Returned field, type-in the Reference No. of the transaction form that you signed confirming the returned of the borrowed item;

5. Save the data by first clicking the Ready to Save button. then, click Save Data button once enabled.

To display the Borrower's Form,

To Print the Borrower's Form

1. From the menu, click Print;

2. Click the printer icon to the upper-righ-hand side of the section header.


Sales Order by Order ID

This is a Sales Report grouped according to Order ID. Thanks to Query Builder dialog panel, it is possible to filter this report according to the available fields of the report.

To filter the report for a specific Order ID,

1. To the left of the Query Builder Dialog Panel, is a combobox with choices from the fields of the report table;

2. Select Order ID, then to the right is a combobox control for argument operators. Select equal, then to the right, type-in '1003';

3. At the bottom, click Apply, then click Search. The Query Builder dialog panel closes and the report is filtered according to Order ID = 1003 .

Here's the final report filtered according to Order ID = 1003 (in this example)


Sales Order by Customer ID

Here, in this Sales Report, the grouping is according to Customer ID by default. However, thanks to Query Builder Dialog Panel, you can customize how you filter the data limited only by the fields of the table referenced in the report.

Once you have the report displayed on screen, you can filter it using the Query Builder Dialog Panel accessible thru the search icon shown in the screen shot above.

For example you want to display only the sales made for a particular period, say, June 1, 2022 to June 30, 2022.

In this example, let's create a report grouped into Customer ID and filtered according to Order Date. Here, we will be filtering a period, meaning there is 'date from' and 'date to'. First, let us define our variables:

date from =June 1, 2022

date to = June 30, 2022

Now, let's write down the argument:

From the App table, we have the field called 'Order Date'

Order Date <= DATE TO AND Order Date >= DATE FROM (in plain terms, "Order Date is less or equal to Date To and Order Date is greater or equal Date To")

Then, using the Custom-Query Builder from the app, let us input what we have writen, as follows:

1. Open the Custom-Query Builder dialog panel by clicking the 'Magnifying Glass' or the Search icon located at the upper right-hand side of the section header;

2. At line 1, column1,click the combobox and look for the field 'Order Date', select it by clicking;

3. Go to line1, column2, look for 'less or equal';

4. Go to line1, column3, use the calendar picker, select the date 'June 30, 2022';

5. Create the second line by first clicking AND, then click + Add Rule;

6. At line2, column1, look for the field 'Order Date', select it by clicking;

7. Go to line2, column2, look for 'greater or equal';

8. Go to line2, column3, use the calendar picker, select the date 'June 1, 2022';

9. Click the 'Search' button.

10. The list will only display the period you have selected.

11. Do not forget to click the 'Reset' button to reset the filter.


Production

Daily productions records are encoded into the WRS system database thru the production Add interface. At data-entry, the system silently at the background, posts the transaction to the appropriate accounts taking out the burden from the user of remembering which account to debit and credit. Along with raw materials and accessories used for the particular production. The user only inputs the date, quantity produced, select the kind of product, and the rest is taken cared of by the system upon saving the entry.

After clicking the Production icon from the App Center, the Production Main screen opens with the records being displayed is unfiltered. The records are arranged in increasing order, the bottom record being the last one entered.

Menu bars:

1. Production

menu items:

a. Add

b. Edit

c. Delete

2. Costing

Menu item:

Production Costing

3. Report

Menu Item:

Production Report

Important:

In manufacturing, Product traceability is a must. This App provides that!

With Product Serial No. you can trace your product to its ingredient compoments. And, with a simple 8-digit price tagging device, you can label each and every product coming out of your Water-Refilling Station!

This device is just an example. At the start you can mark the Product Serial No. by hand (manually). If you are planning in the future to get an accreditation from an international quality body such as NSF (National Sanitation Foundation), then you must comply product traceability requirement!


Add

From 'Production Records' section menu > Add or Edit,

1. Product Serial No. - system - generated. accept the value as it is, (non-editable);

2. Production Date - needs input. Type-in the the production date;

3. Description - Requires input. Select from choices presented in combobox. As you select the description, Product ID, Product Code, Product Size fields are grabbed internally;;

4. Operator - Needs input. Select the operator's name. As you select the operato's name, its employee number is grabbed;

5. Quantity, Jug - Needs input.

6. To save the data, first click 'Ready to Save' to enable the 'Save Data' button;

7. Click the 'Save Data' button. Dialog panel exits and newly saved data is displayed at the bottommost row of the 'Production Records' section grid control.


Edit

The same procedure applies in both Add and Edit mode. Be very careful because the data are vulnerable for incorrect entry.

Reminder: in Edit and Delete actions, you will be asked to enter your authorization code. Authorization code safeguards accidental or unintentional edit or deleting of data.


Delete

To Delete,

At the 'Production Records' section, position the highlight bar to the specific row that you want to delete. At the section menu bar, click the menu item, 'Delete'. You will be prompted to confirm the deletion. Yes, to proceed to delete. No, to abort.

Reminder: in Edit and Delete actions, you will be asked to enter your authorization code. Authorization code safeguards accidental or unintentional edit or deleting of data.


Costing


Production Costing

Production Costing form shows the summary of costs (expenses) based on the period entered.

These costs are as follows:

1. Depreciation Cost

2. Raw Materials and Accessories Cost

3. MOH Costs (Manufacturing Overheads)

Note however, only periods that have undergone End-of-Month routine and has successfully closed temporary accounts for that period can avail of this feature. Otherwise, all the values in the costing form will be zero (0).

Important note: The data shown in the form is for illustration purposes only. These are not actual data from actual operation!

To reset the filter to 'no filter' for the Production Records, please click Unfilter button.

.


Report

This is the Production Report that you can filter according to your need.


Production Report

To filter the report according to Production Date

1. Open the 'Custom-Query Builder Dialog Panel';

2. You can access the Query Builder dialog panel by clicking the magnifying glass icon loated at the upper right-hand side of the section header;

3. Example, you wan to get a report of production from June 1, 2022 to June 30, 2022. Here's how to do it:

4. To filter the data based on a period of dates, remember that a 'period' has a 'date from' and a 'date to'. 'Date from' is the younger date, while 'date to' is the older date;

5. Your 'date from' is June 1, 2022 and your 'date to' is June 30, 2022;

6. The report you want to expect is the list of production made during this period;

7. Hence, you will have to tell the app as below,

1 2

"DATE <= DATE TO AND DATE => DATE FROM";

8. My personal way of not confusing myself, the older date should be on number 1, while the younger date should be in number 2;

9. Now, let's input it in the 'Custom-Query Builder Dialog Panel', as shown below;

10. The first line is your number 1 argument and the 2nd and last line is your number 2 argument.

"DATE <= DATE TO" -- number 1 argument

"DATE => DATE FROM" -- number 2 argument

<= argument operator, meaning LESS OR EQUAL

=> argument operator, meaning GREATER OR EQUAL

number 1 and number 2 is separated by AND operator which means that both arguments number 1 and number 2 must be TRUE in order for the App to display the data you've asked.

11. At Line 1, Column 1, click the fields combobox to display the field choices, then select Date;

12. At Line 1, Column 2, select the argument operator, less or equal;

13. At Line 1, Column 3, input the value by selecting the date from the date picker (June 30, 2022);

14. To create Line 2, click "+ Add Rule";

15. Let us repeat what we have done for Line 1. At Line 2, Column 1, select Date;

16. At Line 2, Column 2, select greater or equal;

17. At Line 3, Column 3, input the value by selecting the date from the date picker (June 1, 2022);

18. Hit the 'Search' button at the bottom of the 'Custom-Query Builder Dialog Panel';

19. Expect to see a list in the report, production dates that matches the period we've entered.


In-house QC

To effectively maintain a good quality control of your product, each component-ingredients that goes into your product must be traceable. Hence, in production section, you have a batch SERIAL NUMBER of your product and by knowing the serial number, you can know the date it was produced, who was the operator, and was the cleaning protocol properly conducted.

There are 3 sections of the QC main page:

1. Section 1 - In-house QC Check

In-house QC

>Add

>Edit

>Delete

Quality Management

>Work Instructions

>Documents List

Inhouse QC Test

>TWH Check

>TDS Check

>pH Check

>Turbidity Check

>Inhouse QC Test Reports

WRS Processes

>Multimedia Tank

>Carbon Tank

>Softener Tank

>RO Membrane

2. Section 2 - Third-Party Verification Test (Bacteriological and Biological)

Bacteriological and Biological

>Add

>Edit

>Delete

Report

>acteriological and Biological Test Report

3. Section 3 - Third-Party Verification Test (Physical and Chemical)

Home icon - when clicked, goes to the App Center home page.

Help icon - when clicked, help topic for the section pops-up.


Add

To Add

1. From the section menu bar In-house QC, click Add;

2. A dialog panel will slide from the right side of the screen;

3. Fill-up the form as shown in the screen shot below, and when done, click Ready to Save;

4. Click Save Data buttone once enabled.


Edit

To Edit

1. Position the highlight bar to that record you want to edit;

2. From the section menu bar In-house QC, click Edit;

3. Type directly to the fields that you want to make changes;

4. Click Ready to Save;

5. When enabled, click Save Data button;

6. To close without saving, click Abort and Close button.

Reminder: in Edit and Delete actions, you will be asked to enter your authorization code. Authorization code safeguards accidental or unintentional edit or deleting of data.


Delete

To Delete

1. Position the highlight bar to the record you want to delete;

2. Click the menu bar In-house QC. Click Add;

3. A system prompt will aske you to confirm, Yes to proceed, and No to abort;

Reminder: in Edit and Delete actions, you will be asked to enter your authorization code. Authorization code safeguards accidental or unintentional edit or deleting of data.


Quality Management System

When a company organizes and writes its QMS (Quality Management System), it clearly and concisely identify their processes, procedures, and work instruction (WI).

Simply put:

A Process states what needs to be done and why.

A Procedure states how the process needs to be done.

A Work Instruction explains how to carry out the procedure.


Work Instructions

In this section, you write your Work Instruction for a specific task that the worker must undertake.

First Step,

a. At the 'Work Instructions' menu bar, click 'Add' a topic;

b. An empty cell opens under the Topics column;

c. Type-in the Title of your Work Instruction;

d. Type in the WI No. - this is the reference number of the Work Instruction;

e. Type-in the Date Issued;

f. Click Save from the section menu bar, then click Save and Set Attribute to Readonly, to save and restore the data-safeguard 'Readonly'

Second Step,

a. At the QC Records menu bar, click "Edit' menu item. Then to the upper-right-hand side of the section header, click the 'Edit' icon (hand with a pen) to allow you to edit the RICHTEXTEDITOR gadget;

Note: After Edit Icon click, you see a rectangular box at the bottom, this is the richtext editor where you will type your work instruction. Also, you will see Cancel and Done button appear at the upper right-hand side of the screen.

b. At the 'QC Work Instruction Content', start developing your work instruction. Type your work instructions;

c. You can do it in any format you want, as a guide, see the sample;

d. When done, first click Done, then click the 'Save' menu bar, to save your work.

e. If you want to print the document, click the 'Print' button at the section menu bar.

For reference in Second Step, please see the screen shot below

To Add or Edit a topic

Follow the First Step and Second Step procedures.

To Delete a topic

1. Position the highlight bar to the topic you want to delete;

2. From the section menu bar QC Records, click Delete;

3. After entering delete authorization code, you will be prompted to confirm the deletion. Yes to proceed, No to abort.


Document List

Certainly, you have documents for WRS that you want to be readily available when you want it. In this section, you can create a list of those documents.

Note: What was deleted was the link to your document. The document itself is untouched!

Clicking the menu item Document List, brings your screen to the Document List Page.

To upload a document

1. First, you must have the document placed in one of your folders in your PC or somewhere else in the LAN (Local Area Network);

2. Practically, any kind of files that your PC can open (PNG, JPG, BMP, PDF, DOCX, EXCEL, etc);

3. Click the Upload icon (UP Arrow) located at the section footer (bottom left);

4. After click of the Upload icon, a folder tree opens. Search for the file and select it;

5. The file will snap to the last row in the list;

6. To Edit the Document Title, Right+Click the cell of the document title you want to edit;

7. In the text box that opens, type the document title, then click Ok.

8. To refresh the list (if it has not refreshed automatically) and see the updated document title, click the refresh button, located beside the Upload button at the section footer (bottom left).

To delete a document title from the list:

1. Position the highlight bar to that title you want to delete;

2. From the Section Menu, click 'Delete Row';

3. You will be prompted to confirm, Yes to Delete, No to abort.


In-house QC Tests

In-house QC Tests are procedures on how these simple checks in WRS operation are conducted:

1. Total Water Hardness Check (TWH)

2. Total Dissolved Solids Check (TDS)

3. pH Check

4. Turbidity Check

5. Inhouse QC Test Report

These tests are regularly checked and recorded and can be quickly retrieved and printed thru Inhouse QC Test Report.


TWH Check

A test procedure on how to conduct a total water hardness test.

To open the TWH Check dialog panel

1. From the In-house QC Test menu bar, click TWHCheck;

2. A dialog panel pops-up.


TDS Check

A test procedure for Total Dissolved Solids Test

To open the TDS Check dialog panel

1. From the In-house QC Test menu bar, click TDS Check;

2. A dialog panel pops-up.


pH Check

A test procedure for pH Test

To open the pH Check dialog panel

1. From the In-house QC Test menu bar, click pH Check;

2. A dialog panel pops-up.


Turbidity Check

A test procedure for Turbidity Test

To open the Turbidity Check dialog panel

1. From the In-house QC Test menu bar, click Turbidity Check;

2. A dialog panel pops-up.

.


In-house QC Test Report

This is the list of daily QC In-house check conducted during each production run.

You can apply filters using the built-in 'Custom-Query Builder Dialog Panel' accessible by clcicking the 'Magnifying Glass' icon located at the upper-right-hand side of the section header.

Example:

You want to get a report during the period Junel 1, 2022 to June 30, 2022.

To see the step-by-step procedure, please see this.

To print this report,

Click the 'printer' icon located at the upper-right-hand side of the section header.


WRS Processes

These are the common chemical processes found in most WRS setup:

1. Multimedia Tank (Multimedia Sediment Filtration)

2. Carbon Tank (Carbon Adsorption)

3. Softener Tank (Ion-Exchange)

4. RO Membrane (Reverse Osmosis)


Multimedia Tank


Carbon Tank


Softener Tank


RO Membrane


Third-Party Verification Test (Bacteriological and Biological)

According to Philippine National Standards for Drinking Water (PNSDW) of 2017, Bacterilogical and Bilogical Test values must be complied by businesses dealing with drinking water.

This is a compilation of test records for bacteriological and bilogical conducted by third-party testing laboratories.


Add

To Add

From 'Third-Party Verifications (Bacteriological and Biological)' section menu > Add,

1. Test Date & Time - input the date and time, use the date picker;

2. Name of Test Lab - select the name of the test laboratory from choices;

3. Third-Party Test Name - select the test name from choices;

4. Constituents being checked - select the constituents being checked from choices;

5. Permissible/Maximum Value - type-in the permissible value;

6. Test Result Value - type-in the test result value;

7. Unit of Measure - type-in the unit;

8.Reference No. - input the reference number from invoice;

9. To save the data, first click 'Ready to Save' to enable the 'Save Data' button;

10. Click the 'Save Data' button. Dialog panel exits and newly saved data is displayed at the bottommost row of the 'In-house QC Check' section grid control.


Edit

To Edit

1. At the Third-Party Verifications (Bacteriological and Biological)' grid control, position the highlight bar to that record you want to edit;

2. From 'Third-Party Verifications (Bacteriological and Biological)' section menu > Edit,

3. A dialog panel slides from the right side of the screen with the fields available for editing;

4. You can edit all fields. After editing and you want to save the data, click 'Ready to Save' to enable the 'Save Data' button.

5. Click the 'Save Data' button. Dialog panel exits and screen goes back to 'Third-Party Verifications (Bacteriological and Biological)' section grid control.

Reminder: in Edit and Delete actions, you will be asked to enter your authorization code. Authorization code safeguards accidental or unintentional edit or deleting of data.


Delete

To Delete

1. At the Third-Party Verification Test (Bacteriological and Biological) section, position the highlight bar to the record you want to delete;

2. At the Bacteriological and Biological menu bar, click Delete;

3. System will prompt you to enter your authorization code;

4. If authorization code is accepted, you will be prompted to confirm the deletion. Yes to proceed, No to abort.

5. Note: Edit and Delete actions requires authorization code.

Reminder: in Edit and Delete actions, you will be asked to enter your authorization code. Authorization code safeguards accidental or unintentional edit or deleting of data.


Report

Bacteriological and Biological Report

Reports from the Third-Party Testing Laboratory that were encoded into the system database is compiled in this report.

To access,

1. From the Report menu bar, click Bacteriological and Biological Report;

2. The screen displays the report page;

3. Thru the Custom-Query Dialog Panel, you can filter the report according to your liking, limited only by the available fields of the report.


Bacteriological and Bilogical Report

To filter the report for a period say, June 1, 2022 to June 30, 2022, please refer to the step-by-step procedure similar to Production Report.


Third-Party Verification Test (Physical and Chemical)

How to get here at 'Third-Party Verification Test (Physical and Chemical)'

1. From the Third-Party Verification Test (Bacteriological and Biological) section, go to the section menu bar;

2. Click menu bar, Physical and Chemical;

3. Click the menu item, Go to Physical and Chemical Test Page.

Grid Control 1 (GC1) and Grid Control 2 (GC2) Explained

The Third-Party Verification Test (Physical and Chemical) are made up of 2 grid controls and they are linked thru their Reference No. Whatever record is pointed at the parent grid control are all displayed in the child grid control. We can say that grid control 1 is the header, and grid control 2 are its contents. Please refer to the screen shot below,

According to Philippine National Standards for Drinking Water (PNSDW) of 2017, Physical and Chemical Test values must be complied by businesses dealing with drinking water.

This is a compilation of test records for Physical and Chemical conducted by third-party testing laboratories.

The Test Records are kept in the database and can be displayed


Add

This is the data-entry form for the 'Third-Party Verification Tests (Physical and Chemical)' section after clicking 'Add'' from the menu bar of that section.

Here' the step-by-step procedure in filling-up the form:

To Add

From 'Third-Party Verification Tests (Physical and Chemical)'' section menu > Add,

1. Test Date & Time - input the date and time, use the date picker;

2. Name of Test Lab - select the name of the test laboratory from choices;

3. Third-Party Test Name - select the test name from choices;

4. Test Classification - select from choices;

5.Reference No. - input the reference number from invoice;

6. To save the data, first click 'Ready to Save' to enable the 'Save Data' button;

7. Click the 'Save Data' button. Dialog panel exits and newly saved data is displayed at the bottommost row of the 'Third-Party Verification Tests (Physical and Chemical)''' section grid control.


Edit

To Edit

From 'Third-Party Verification Tests (Physical and Chemical)' section menu > Edit,

You can edit all fields. After editing and you want to save the data, click 'Ready to Save' to enable the 'Save Data' button.

Click the 'Save Data' button. Dialog panel exits and screen goes back to 'Third-Party Verification Tests (Physical and Chemical)' section grid control.

Reminder: in Edit and Delete actions, you will be asked to enter your authorization code. Authorization code safeguards accidental or unintentional edit or deleting of data.


Delete

To Delete

1. At the Physical and Chemical section grid control, position the highlight bar to the record you want to delete;

2. From the Physical and Chemical section menu bar, click Delete;

3. You will be prompted to enter your authorization code;

4. You will be asked to confirm the deleteion. Yes to proceed, and No to Abort.

Reminder: in Edit and Delete actions, you will be asked to enter your authorization code. Authorization code safeguards accidental or unintentional edit or deleting of data.


Report

To access the report,

From the section menu bar Report, click Physical and Chemical Report


Physical and Chemical Report

These tests are conducted by a third-party testing laboratory as mandated by the 'PHILIPPINE STANDARDS FOR DRINKING WATER' issued by the Department of Health (DOH).

You can apply filters using the built-in 'Custom-Query Builder Dialog Panel' accessible by clcicking the 'Magnifying Glass' icon located at the upper-right-hand side of the section header.

Example:

You want to get a report during the period June1, 2022 to June 30, 2022.

To see the step-by-step procedure, please refer to this similar report.

To print this report,

Click the 'printer' icon located at the upper-right-hand side of the section header.


Details of Third-Party Verification Test (Physical and Chemical)

This is grid control 2 (GC2) and the records displayed in this section are the detailed contents of record pointed in GC1.

This is the data-entry form for the 'Details ofThird-Party Verification Tests (Physical and Chemical)' section after clicking 'Add'' from the menu bar.

To Add, Edit, or Delete

Here' the step-by-step procedure in filling-up the form:

As soon as the form finishes loading, the 'List of Physical and Chemical Constituents' is displayed along with the 'Maximum Level' values, and its 'Unit of Measure' columns.

Input the test results values (data you shall take from the test results) in the 'Test Result Value' column. If you want to delete a row, highlight that row and click the ' - ' icon at the bottom of the section. If you want to 'add', click the

' + ' icon.

Then, fill-up the following fields:

1. Test Date - input the date and time, use the date picker;

2. Test Classification - already filled-up, no input is required;

3. Reference No. - already filled-up, no input is required;

4. To save the data, first click 'Ready to Save' to enable the 'Save Data' button;

5. Click the 'Save Data' button. Dialog panel exits and newly saved data is displayed at the bottommost row of the 'Details ofThird-Party Verification Tests (Physical and Chemical)' section (GC2) grid control.

6. GC2 will be filled with the data just saved.

To Edit the records in GC2

1. From the menu bar, click Toggle Action Bar to ON of OFF;

When action bar is ON

2. If you want to Edit, click - (minus sign);

3. If you want to Add, click + (plus sign);

4. If you want to revert the previous value, click x (multiplication sign);

5. When you are done (Add, Edit, Delete), you must click Toggle Action Bar to ON or OFF again. When OFF, GC2 attribute is Readonly, data are safe from accidental add, edit, or delete!


Information

To get here,

From the App Center, click Personnel.

Employees Information organizes the records of company employees.


Add

To Add Employees Information

1. From the Navigation Panel of the main page of the Personnel App, click Information;

2. The Employees Informnation section opens up;

3. And, from the section menu bar, click Employees;

4. And from the Employees menu bar, click Add;

5. A dialog panel slides from the right-side of the screen;

6. Insert photo thru the photo frame by clicking it and selecting the photo file;

7. Complete filling-up the form, when done, click Ready to Save;

8. When enabled, click Save Data.


Edit

To Edit

1. In the Employees List grid control, position the highlight bar to the record you want to edit;

2. From the section menu bar, click Edit;

3. To the data-entry dialog panel, type-in directly to the fields that you want to edit;

4. When done, click Ready to Save;

5. Once enabled, click the Save Data button.

Reminder: in Edit and Delete actions, you will be asked to enter your authorization code. Authorization code safeguards accidental or unintentional edit or deleting of data.


Delete

To Delete

1. In the Employees List grid control, position the highlight bar to the record you want to delete;

2. From the section menu bar, click Delete;

3. You will be prompted to input your authorization code;

4. If authorization code is accepted, you be prompted to confirm the deletion. Yes, to proceed, No to abort the deletion;

Reminder: in Edit and Delete actions, you will be asked to enter your authorization code. Authorization code safeguards accidental or unintentional edit or deleting of data.


DTR

Daily Time Record (DTR) is used by the system to generate the payroll. Each employee is provided with a calendar where DTR is kept. Only absences are recorded in the calendar.

To go to the DTR section

1. From the App Center, click the Personnel App;

2. At the Navigiation Panel, click Information. Position the highlight bar to the Employee's Name where you want to record its DTR;

3. Then, back at the Navigation Panel, click DTR;

4. At the CALENDAR that showed up, click the date the employee was absent;

5. At the Event Title, mark or type Absent;

6. Click the command button UPDATE. At this instant, the date you've selected will be marked with Absent;

7. Repeat the same procedure for all the other employees.

Note: Accuracy in preparing this task is a must because payroll generation depends on this data.


Cash Advance

Cash Advance section deals with employees cash loans payable thru salary deductions. It collects, store, and organizes data on a grid control


Add

To Add a new record

1. From the Navigation Panel, Information, position the highlight bar to the employee's record who wants to make a cash advance;

2. At the Cash Advance section menu bar, click Add;

3. A new row at the bottom opens;

3. Type-in the details into the row;

4. When done, click Save from the section menu bar.


Edit

To Edit the records on the grid control

1. From the Navigation Panel, Information, position the highlight bar to the employee's record to be edited;

2. At the Cash Advance section menu bar, click Edit;

3. Type-in the changes you want to any of the cells in the grid control.

4. When done, click Save at the section menu bar.

Reminder: in Edit and Delete actions, you will be asked to enter your authorization code. Authorization code safeguards accidental or unintentional edit or deleting of data.


Delete

To Delete a Cash Advance Record

1. From the Navigation Panel, Information, position the highlight bar to the employee's record whom you want to delete a cash advance record;

2. At the Cash Advance section grid control, position the highlight bar to that record you want to delete;

3. At the Cash Advance section menu bar, click Delete;

Reminder: in Edit and Delete actions, you will be asked to enter your authorization code. Authorization code safeguards accidental or unintentional edit or deleting of data.


Loan Payments

Loan Payments section is where employees cash advance payments are recorded, saved, and displayed on a grid control.


Add

To Add a new payment record

1. From the Navigation Panel, Information, position the highlight bar to the employee's record who wants to make a payment for its loan;

2. At the Loan Payments section menu bar, click Add;

3. A new row at the bottom opens;

3. Type-in the details into the row;

4. When done, click Save from the section menu bar.

.


Edit

To Edit the records on the grid control

1. From the Navigation Panel, Information, position the highlight bar to the employee's record to be edited;

2. At the Loan Payments section menu bar, click Edit;

3. Type-in the changes you want to any of the cells in the grid control.

4. When done, click Save at the section menu bar.

Reminder: in Edit and Delete actions, you will be asked to enter your authorization code. Authorization code safeguards accidental or unintentional edit or deleting of data.


Delete

To Delete a Loan Payment Record

1. From the Navigation Panel, Information, position the highlight bar to the employee's record whom you want to delete a loan payment record;

2. At the Loan Payment section grid control, position the highlight bar to that record you want to delete;

3. At the oan Payment section menu bar, click Delete;

Reminder: in Edit and Delete actions, you will be asked to enter your authorization code. Authorization code safeguards accidental or unintentional edit or deleting of data.


Monthly Payroll

Payroll section is where payroll generation, payroll maintenance, and payroll posting takes place.


Payroll Up-Keeping

In this section, you can View, Generate, Post, Edit, and Delete payroll.

To View already created payroll

1. From the Navigation Panel, click Payroll;

2. At the section menu bar, click Monthy Payroll;

3. Click the menu item, Payroll Up-Keeping;

4. From the dialog panel that opens, select the Month name;

5. Tick Display Payroll Already Created;

6. Click Display Payroll button.

To Generate Payroll

1. From the Navigation Panel, click Payroll;

2. At the section menu bar, click Monthy Payroll;

3. Click the menu item, Payroll Up-Keeping;

4. From the dialog panel that opens, select the Month name;

5. Tick Generate Payroll for the Period;

6. Click Generate Payroll button.

Note: If DTR of the employee has no absences for the month you are about to generate the payroll, the system will proceed to calculate his/her salary based on a perfect attendance.


Post to T-Accounts

To post to T-Accounts

1. At the Navigation Panel, click Payroll;

2. At the section menu bar Monthly Payroll, click Post to T-Accounts;

3. A system prompt will notify you about this action, Yes to proceed, No to abort;

4. After clicking Yes, behind the scene, the system debited and credited to the appropriate accounts of the chart of accounts.

It is important to post this transaction to the book of accounts in order to record the cost of labor.

Note: You cannot post if no record is displayed on the Monthly Payroll grid control.


Payroll

Payroll menu bar has 2 menu items:

1. Edit

2. Delete


Edit

To Edit payroll records

1. From section menu bar Payroll, click Edit;

2. Column of the Monthly Payroll grid control that are allowed to be edited now switches to editable. These are:Total Days Absent, Absent Amount, Total Days Present, Present Amount, Total OT Hours, OT Amount, Present Amount, Deduction Amount, Net Takehome Amount. Other columns not mentioned here are non-editable;

3. Type-in the changes you want to the appropriate cells of the grid control;

4. When done editing, press the F1 on the keyboard to restore the Readonly attribute to the grid control.

Reminder: in Edit and Delete actions, you will be asked to enter your authorization code. Authorization code safeguards accidental or unintentional edit or deleting of data.


Delete

To Delete payroll records

1. From section menu bar Payroll, click Delete;

2. System will prompt you to enter your authorization code;

3. After entering your authorization code and if accepted, system will prompt you confirming successfull deletion.

Reminder: in Edit and Delete actions, you will be asked to enter your authorization code. Authorization code safeguards accidental or unintentional edit or deleting of data.


Payroll Report

To view and print the payroll report

1. From the Navigation Panel, click Payroll Report;

2. At the section menu bar, click Payroll Report;

3. The screen displays the payroll report;

4. To filter the report according to your need, access the Custom-Query dialog Panel;

5. Follow the procedure in using the Custom-Query dialog Panel as illustrated in this report;

6. To print, click the printer icon located at the upper right-hand corner of the section header.


Supplies Masterlist

Store App is about supplies inventory. It organizes the supplies masterlist, supplies-in, and supplies out records.

When the business buys supplies, it is received and goes to the store. When it is issued, it goes to the account of the receiving unit and the corresponding posting to the T-accounts is undertaken by the system sliently at the background.

All material supplies of the business is listed in the Supplies Masterlist.

Note: Section menu bar Records Supplies Masterlist, its menu items Add, Edit, and Delete are not visible initially. To make it visible, double-click on any record in the grid control.


Add

To Add a new masterlist record

1. From the App Center, click Store App;

2. At the Navigation Panel, click Supplies Masterlist;

3. At the Supplies Masterlist grid control, double-click any of its records to enable the menu items Add, Edit, and Delete;

4. At the Records Supplies Masterlist menu bar, click Add;

5. At the data-entry dialog panel that slides from the right side of the screen, fill-up all the fields:

6. Supplies Code - automatically the system creates the product code';

7. Supplies Description - requires your input

8. Unit of Measure- requires your input (i.e. PCS, KGS, MTR, ROLL,SQM, etc.) , and since you have already define UOM (unit of measure) when you setup the Product Type, it is automatically grabbed by the system whenever you make the selection for Supplies Type.

9. Supplies Type - combobox provides choices you have earlier registered (EQUIPMENT, FG, INSTRUMENT, MACHINERY, RMACC, STORE, TOOL);

a. EQUIPMENT - items belonging to this type, examples are: RO setup, FRP Adsorption Tank Assembly

b. FG - finished-goods

c. INSTRUMENT - examples are: pH meter, TDS meter

d. MACHINERY - examples are: pumps, Jug auto Cleaner

e. RMACC - Raw Materials and Accessories, examples are: Raw Water, Round Jug

f. STORE - items that are used repetative and usually requires stocking, example: Pencil, Bond Paper

g. TOOL - maintenance tools like hammer, screw driver

10. Supplies Group - combobox provides choices you have earlier registered;

11. Product Specification - requires your input. Technical details, like dimension, etc.;

12. Current Location - requires your input (i.e. ROW10, COLUMN5, LEVEL10...your way of knowing where to quickly find this item). Possible to add later.

13. Stock Level Minimum Value - value at which the system automatically creates a list of items whose minimum stock level has been reached. This list can be accessed from the 'Supplies Masterlist' section, Low Stock Level List menu bar;

14. RM & ACC ID - depending on what was selected at the Supplies Type field, this field is OFF or ON;

15. Chart of Accounts - select the appropriate account

16. To save the data, click the menu 'Ready to Save';

17. Once enabled, click Save Data.


Edit

To Edit Masterlist records

1. At the Supplies Masterlist grid control, double-click the record you want to edit and to enable the menu items Add, Edit, and Delete;

2. At the Records Supplies Masterlist menu bar, click Edit;

3. At the data-entry dialog panel that slides from the right side of the screen, type-in directly to the fields you want to edit:

4. Supplies Code - automatically the system creates the product code';

5. Supplies Description - requires your input

6. Unit of Measure- requires your input (i.e. PCS, KGS, MTR, ROLL,SQM, etc.) , and since you have already define UOM (unit of measure) when you setup the Product Type, it is automatically grabbed by the system whenever you make the selection for Supplies Type.

7. Supplies Type - combobox provides choices you have earlier registered (EQUIPMENT, FG, INSTRUMENT, MACHINERY, RMACC, STORE, TOOL);

a. EQUIPMENT - items belonging to this type, examples are: RO setup, FRP Adsorption Tank Assembly

b. FG - finished-goods

c. INSTRUMENT - examples are: pH meter, TDS meter

d. MACHINERY - examples are: pumps, Jug auto Cleaner

e. RMACC - Raw Materials and Accessories, examples are: Raw Water, Round Jug

f. STORE - items that are used repetative and usually requires stocking, example: Pencil, Bond Paper

g. TOOL - maintenance tools like hammer, screw driver

8. Supplies Group - combobox provides choices you have earlier registered;

9. Product Specification - requires your input. Technical details, like dimension, etc.;

10. Current Location - requires your input (i.e. ROW10, COLUMN5, LEVEL10...your way of knowing where to quickly find this item). Possible to add later.

11. Stock Level Minimum Value - value at which the system automatically creates a list of items whose minimum stock level has been reached. This list can be accessed from the 'Supplies Masterlist' section, Low Stock Level List menu bar;

12. RM & ACC ID - depending on what was selected at the Supplies Type field, this field is OFF or ON;

13. Chart of Accounts - select the appropriate account

14. To save the data, click the menu 'Ready to Save';

15. Once enabled, click Save Data.

Note: When you Add or Edit, the record that you are working at is linked to a number of other records in the database. Hence, any changes you make affects those that have links. Silently, at the background the system updates those affected records.

Reminder: in Edit and Delete actions, you will be asked to enter your authorization code. Authorization code safeguards accidental or unintentional edit or deleting of data.


Delete

To delete a masterlist record

1. At the Supplies Masterlist grid control, double-click the record you want to delete and to enable the menu items Add, Edit, and Delete;

2. At the Records Supplies Masterlist menu bar, click Delete;

3. You will be prompted to enter your authorization code. Then, a confirmation prompt, Yes to proceed, and No to abort;

4. The record will disappear from the grid control. All records linked to it were also programmatically updated.

Note: You double-click the record you want to delete, and this double-click action allows the menu bar to be enabled.

Reminder: in Edit and Delete actions, you will be asked to enter your authorization code. Authorization code safeguards accidental or unintentional edit or deleting of data.


Supplies-In

Supplies-In is where the supplies purchases are recorded and the items goes to STORE waiting to be issued to the appropriate business unit.

Records in the Masterlist is linked with records in Supplies-In thru its supplies CODE. Whatever item is pointed at in the Masterlist are displayed in the Supplies-In grid control.

For example, if highlight bar is positioned at Code 127 in the Masterlist grid control, all code 127 are displayed in Supplies-In grid control.


Add

To Add a new Supplies-In record

1. At the Supplies Masterlist grid control, position the highlight bar to the item (record) you want to add in Supplies-in;

2. At the Navigation Panel, click Supplies-In;

3. At the Supplies-In menu bar, click Add;

4. A dialog panel (data-entry form) will slide from the right side of the screen;

5. Fill-up the remainder of the fields that are empty, as most of it are system-filled;

6. When done, click Ready to Save;

7. Once enabled, click Save Data.

Note: The 2 fields, Kuntador Beginning, and Kuntador Ending are required only to be filled-up if the Supplies-In item is a RAW WATER. The values in these fields can be taken from the water bills. This is important in getting the correct water volume consumption. For non-Raw Water items, leave it blank!


Edit

To Edit Supplies-In record

1. At the Supplies Masterlist grid control, position the highlight bar to the item (record) you want to edit in Supplies-in;

2. At the Navigation Panel, click Supplies-In;

3. At the Supplies-In menu bar, click Edit;

4. A dialog panel (data-entry form) will slide from the right side of the screen;

5. Type-in directly to the fields you want to make changes;

6. When done, click Ready to Save;

7. Once enabled, click Save Data.

Reminder: in Edit and Delete actions, you will be asked to enter your authorization code. Authorization code safeguards accidental or unintentional edit or deleting of data.


Delete

To Delete a record in the Supplies-In

1. At the Supplies Masterlist grid control, position the highlight bar to the item (record) code you want to delete in Supplies-in;

2. At the Navigation Panel, click Supplies-In;

3. At the Supplies-In grid control, position the highlight bar to the specific record you want to delete;

4. At the Supplies-In menu bar, click Delete;

5. You will be asked to enter your authorization code. Then, you will be prompted to confirm the deletion;

6. The highlighted record will disappear from the Supplies-In grid control.

Reminder: in Edit and Delete actions, you will be asked to enter your authorization code. Authorization code safeguards accidental or unintentional edit or deleting of data.


Supplies-Out

Supplies-Out is where the supplies issuances are recorded and the items goes to the receiving business unit.

Records in the Masterlist is linked with records in Supplies-In and Supplies-Out thru its supplies CODE. Whatever item is pointed at in the Masterlist are displayed in the Supplies-In grid control and Supplies-Out grid control.

For example, if highlight bar is positioned at Code 127 in the Masterlist grid control, all code 127 are displayed in Supplies-In grid control and Supplies-Out grid control.

The illustration below describes how the 3 grid controls are linked thru its supplies CODE.


Add

When you add item to the Supplies-Out grid control, you effectively reduce the quantity of that item from the STORE but at the same time increase the quantity of that particular item to the receiving business unit.

To Add a new Supplies-Out record

1. At the Supplies Masterlist grid control, position the highlight bar to the item (record) you want to add in Supplies-out;

2. At the Navigation Panel, click Supplies-Out;

3. At the Supplies-Out menu bar, click Add;

4. A dialog panel (data-entry form) will slide from the right side of the screen;

5. Fill-up the remainder of the fields that are empty, as most of it are system-filled;

6. When done, click Ready to Save;

7. Once enabled, click Save Data.

.


Edit

To Edit Supplies-Out record

1. At the Supplies Masterlist grid control, position the highlight bar to the item (record) you want to edit in Supplies-Out

2. At the Navigation Panel, click Supplies-Out;

3. At the Supplies-Out menu bar, click Edit;

4. A dialog panel (data-entry form) will slide from the right side of the screen;

5. Fill-up all the empty fields in the data-entry dialog panel;

6. When done, click Ready to Save;

7. Once enabled, click Save Data.

Reminder: in Edit and Delete actions, you will be asked to enter your authorization code. Authorization code safeguards accidental or unintentional edit or deleting of data.


Delete

To Delete a record in the Supplies-Out

1. At the Supplies Masterlist grid control, position the highlight bar to the item (record) code you want to delete in Supplies-Out;

2. At the Navigation Panel, click Supplies-Out;

3. At the Supplies-Out grid control, position the highlight bar to the specific record you want to delete;

4. At the Supplies-Out menu bar, click Delete;

5. You will be asked to enter your authorization code. Then, you will be prompted to confirm the deletion;

6. The highlighted record will disappear from the Supplies-out grid control.

Reminder: in Edit and Delete actions, you will be asked to enter your authorization code. Authorization code safeguards accidental or unintentional edit or deleting of data.


Chapter VI - System Up-Keeping App


WRS System Backup and Restore

Main screen of the System Up-Keeping App

It has the following sections:

1. WRS System Backup and Restore

2. Item Type Definition

3. Item Group Definition

4. Suppliers List

5. Issued To List

6. Chart of Accounts

The System has 2 options to make a data backup

1. Overwrite Previous Backup

2. Backup to New Folder


Overwrite Previous Backup

To backup using the 'Overwrite Previous Backup'

This feature requires an absolute exclusive use of data which means that if anyone is logged-in, you should ask them to log-out and refrain from using WRS app until it finishes this process. At the end of each BACKUP, it undergoes DATABASE cleanup.

1. At the end of the day's work, before leaving, click 'Overwrite Previous Backup'.

2. The system will create a backup files in the folder named 'backup_refillingdat'.

3. In this option, your new backup will overwrite the previous backup.

4. The advantage, it will not occupy much of your hard disk space as it will simply overwrite old files.

5. The disadvantage, if the new backup has corrupted data, it will overwrite a good one with a corrupted data. Therefore, make sure that when backup is made, all the apps are working properly. If you noticed an error, fix it before making a backup.

Backup files for this option is located at, c:\lianja\data\backupdata\refillingdat\backup_refillingdat


Backup to New Folder

In this backup option, a new backup folder is created leaving the previous backup as it is. The disadvantage, it will occupy more space in your hard disk every time you backup. It is suggested that occassionally, you have to delete the old backup folders using the Windows Explorer. go to the directory "\backups" and browse the old backup folders that needs to be deleted. Be very careful not to delete your live data folder which is "\data\refillingdat\", do not delete anything inside this folder!

Backup files for this option is located at,

c:\lianja\data\backups\YEAR\Month\Day\Time

example: c:\lianja\data\backups\2022\February\4\100412

YEAR=2022

Month=February

Day=4

Time=10:04:12

In effect, you have 2 different backups. This is important because anything can happen to your data. Hardware failure is always a possibility!

Database Restore

When trouble comes, your last hope is your backup files!

To backup using the 'Backup to New Folder'

1. From Database Backup menu bar, click Backup to New Folder;

2. You will be prompted to make sure no one is logged-in. If so, ask them to log-out first before continuing;

3. The process will proceed with a progress bar indicator.


Restore Database Backup

To Restore the database backup made by using 'Overwrite Previous Backup'

1. Click the menu item Restore Database Backup;

2. You will be asked to enter WRS Password;

3. Then, a system prompt asking you to make sure no one is using the WRS App if your installation is LAN. If so, ask them to log-out;

4. A progress bar showing the realtime progress of the restore process.

Manual Restore of Backup Files

You use this option

(1) if Wrs cannot run because of corrupted data and;

(2) if the backup data from OverwritePrevious Backup is also corrupted)

1. In case, Wrs App cannot run the 'Restore Database' for some reason, exit Wrs and using Windows Explorer, manually browse for the 2 different backups located at:

a. "c:\lianja\backupdata\refillingdat\", and "c:\lianja\backupdata\system\";

b. "\data\backups\Year\Month\Day\"

Decide which of the backup is the most recent, then

Copy all the files to:

1. if your installation is stand-alone (only 1 PC), "c:\lianja\cloudserver\tenants\public\data\refillingdat\"

2. If your installation is LAN network (2 or more PC), "P:\data\refillingdat\"

where:

P = network drive letter

Also, if system database is corrupted, you can restore the backup files from:

"c:\lianja\backupdata\system\" and copy all the system data files to:

1. if your installation is stand-alone (only 1 PC), "c:\lianja\cloudserver\tenants\public\data\system\"

2. If your installation is LAN network (2 or more PC), "P:\data\system\"


Miscellaneous Setup

After installation of this Wrs App and you run it for the first time, you have to run this feature in order to setup the Help files and make it available when you click the section help icon ' ? '. Although, you can re-run this feature anytime, anyways, if the help file is already setup, it will not re-setup again, instead it will simply prompt you so.

When you click the section help icon ' ? ' located at the upper-right-hand side of the section header, and no help document pops-up, run Setup Help.


Setup Help

To run the Setup Help

1. At the section menu bar, Miscellaneous Setup, click Setup Help;

2. You will be prompted to confirm the action, Yes to proceed and No to abort;

3. Clicking Yes button, displays the progress bar indicator;

4. When setup is complete, it will prompt you so.


About WRS App

A brief information about Wrs App and its developer.


Wrs App and its Developer

To View WRS App and its Developer

1. From the section menu bar, click About WRS;

2. Click About Wrs App.


Help Topics

Help Topics are arrange in alpabethical order.

To View the Help Topics

1. At the menu bar About WRS, click Help Topics;

2. A dialog panel slides from the right side of the screen;

3. To close the dialog panel, from its header, click Close Dialog Panel.


Chart of Accounts

As much as possible do not change or redo the Chart of Accounts

It is created and organized according to how this system works.

Notes:

1. Accounts that are originally listed in the Chart of Accounts cannot be edited or deleted.

2. Only newly added/inserted accounts can be edited or deleted.

Important points:

1. The Chart of Accounts is a list of all the accounts of the WRS business;

2. It has the following fields:

a. Account No. - requires input from user

b. Account Name - requires input from user

c. Account Type - user will select it from choices

d. Account Function - in the form, user is offered with choices

e. Account Label - in the form, sytem generates its value

f. Account Sub-Type - in the form, the user is presnted with choices

Each of the above fields must be defined. The Account No. must be unique (no duplicates). Account Number is a 3-digit number organized as follows:

ASSET range - from 100 to 200

EXPENSE range - from 201 to 499

REVENUE range- from 500 to 599

LIABILITY range- from 600 to 799

EQUITY range - from 800 to 900

Account Name - Can be any name (textual characters, avoid using '/', '&', '%' and other symbols)

Account Type - There are 5 account types:

1. ASSET

2. EXPENSE

3. LIABILITY

4. REVENUE

5. EQUITY

Account Function - This refers to where the accounts is particularly used. The system provides the following choices: COGM (cost of goods manufactured), DE (delivery expense), AE (administrative expense), OE (other expense), CALC (calculations), IS (income statement), ISUM (income summary).

Account Sub-Type

1. CURRENT

2. NON-CURRENT

Asset Accounts and Liability Accounts, its Sub-Type must be defined. Expense, Revenue, and Equity, you can leave it blank.

Chart of Accounts (used by this system)

Notice the gap in numbering between accounts, the purpose of which is to accomodate insertion of an account with similar properties. It is highly advised to keep this chart of accounts as it is. If you need more new account, please insert it in-between numbers and keep the other accounts, even if you may not need it. Anyways, it being there, will not affect the functionality of this app.


Add

Here's how to insert a new account to be placed in-between existing accounts:

Suppose you want to insert a new account called "Special Delivery Allowance" and you intend to place it just below the 'Ulilities' Account.Take note of the account number of the Utilities account;

1. From the section menu, click Chart of Accounts,;

2. then click Add;

3. A dialog panel slides from the right side of the screen. At the dialog panel, click the ? to access the help document for data-entry.

4. Type-in the Account No.;

5. Type-in the Account Name;

6. Select DE for the Account Function;

7. Click Generate to generate the value for Account Label;

8. Leave the Account Sub-Type blank;

9. Click Ready to Save;

10. Click Save Data.


Edit

Accounts in the Chart of Accounts that are already in the list during WRS installation, cannot be edited or deleted.

You can only edit or delete newly inserted (added) accounts.

To Edit newly inserted accounts in the Chart of Accounts

1. Position the highlight bar to the account you want to edit;

2. From the section menu bar, Chart of Accounts, click Edit;

3. A dialog panel slides from the right side of the screen;

4. Make the necessary changes to the fields in the dialog panel;

5. When done, click Ready to Save;

6. Click Save Data.


Delete

To Delete newly inserted accounts in the Chart of Accounts

1. Position the highlight bar to the account you want to delete;

2. From the section menu bar, Chart of Accounts, click Delete;

3. Input authorization code;

4. Confirm your action, Yes to proceed, No to abort;

5. Yes, deletes the record and removes it from the grid control.


Supplier's List

The records in this list will populate the combobox as choices to the user when supplier's infomation is requested by the WRS system.


Add

To Add a new Supplier's record

1. From the Supplier's List section menu bar, click Add;

2. A dialog panel will slide from the right side of the screen;

3. Fill-up all the fields in the form, and when done, click Ready to Save;

4. The saved record is displayed at the bottom of the Supplier's List grid control.


Edit

To Edit a Supplier's record

1. At the Supplier's List grid control, position the highlight bar to the record you want to edit;

2. From the Supplier's List section menu bar, click Edit;

3. A dialog panel will slide from the right side of the screen;

4. Type-in the changes you want to make to the field in the dialog panel and when done, click Ready to Save;

5. Once enabled, click Save Data.


Delete

To Delete a Supplier's Record

1. At the Supplier's List grid control, position the highlight bar to the record you want to delete;

2. From the Supplier's List section menu bar, click Delete;

3. You will be asked to enter your authorization code;

4. Then, after your authorization code is accepted, you will be prompted to confirm the action;

5. At the confirmation prompt, click Yes to proceed, or No to abort.


Issued To

The purpose of the Issued To List is to eliminate the need to re-type the name of the person or business unit when asked to whom the item or supplies were issued. The user will simply select from this list instead of re-typing it. It is imperative that this list may contain names of a business unit (ie. service vehicle, maintenance, etc.)


Add

To Add a new Issued To record

1. From the menu bar, click Add ;

2. A dialog panel will slide from the right side of the screen;

3. Fill-up the form, and when you are done, to save, click the Ready to Save button;

4. Once the Save Data button is enabled, click it, to save the entries..


Edit

To Edit an Issued To record

1. Position the highlight bar in the Issued To section grid control;

2. From the menu bar, click Edit;

2. Enter your authorization code;

3. A dialog panel will slide from the right side of the screen;

4. Make your changes, and when you are done, click the Ready to Save button;

5. Once the Save Data button is enabled, click it, to save the entries..


Delete

To Delete,

1. Position the highlight bar to the record that you want deleted on the grid control;

2. From the menu bar, click 'Delete';

3. Enter your authorization code. Then, you will be prompted to confirm;

4. Yes, to proceed with deletion. No, to abort the deletion;


Chapter VII - System Settings App


Miscellaneous Setup

System Settings App main screen displays four (4) sections, namely:

1. Miscellaneous Setup - it is here where you can change the logo and letterhead of your company, input the owner's name, business address, API key, Weekend (day), overtime rate, working hours.

2. Assets - create the assets list

3. Product List - here you can create your product list

4. Product Recipe - every product you create, there should be a corresponding product recipe.

System Settings App Main screen


Edit

It is here where you setup the following:

1. Owner's Name

2. Business Address

3. API key - to use the Google map service, you have to open an account with Google and get your API key.

4. Weekend - rest day, no work.

5. No. of Work Shift - 1 shift, 2 shift, 3 shift

6. Overtime rate - multiplier used in calculating overtime work rate. Default is 1.2

8. Working Hours - default is 8

To edit,

1. From the section menu, click 'Edit';

2. At the dialog panel, fill-up the entry form.

3. To know more information how to fill-up the form, click the '?' icon located at the upper right-hand corner of the dialog panel.

4. In this illustration, let's say we will be editing the logo. At this point, we have already saved our logo.png file in the hard disk;

5. Click the check box located at the left side of the logo image frame;

6. Then, double-click the logo image frame, windows file explorer dialog panel opens up;

7. Select the logo.png file (or whatever filename you made) from the file explorer window;

8. When done, click Ready to Save;

9. Make sure other check boxes are unchecked, except the logo check box;

10. Click Save Data button. Unchecked checkboxes are ignored, only those that are checked are saved.

Note: When you are editing logo or letterhead, make sure you have the your logo or letterhead image files in png already saved in the hard disk or flash disk.


Assets

An asset is a resource with economic value that a company owns or controls. And all assets depreciates based on its usefull service life. Depreciation is expense. It is therefore important to calculate the depreciation cost in order to estimate the total cost of every product.


Add

To Add an asset,

1. From the section menu bar, click 'Add';

2..A dialog panel slides from the righ side of the screen for you to enter data;

3. To know the steps in filling-up the data-entry form, click the '?' icon located at the upper right-hand corner of the dialog panel;

Fill-up the fields as follows:

1. Date Acquired - pick the date from the calendar;

2. Asset Description - type-in the name of the asset, describing it with specifications if possible;

3. Supplier - if the supplier is already entered in the 'Suppliers List', you can select it from the choices in the combo box control. If not, exit and run System Up-Keeping App, 'Supplier's List', then add this supplier in the list;

4. Asset Value - amount of this asset in Peso;

5. Quantity - number of this asset (1, 2, etc.);

6. Unit of measure - choices: PCS, KGS, L, ML, etc.;

7. Depreciation Rate - leave this empty, it will be calculated later;

8. Enter in Years - enter how many years is the expected service life of this asset, 5, 10 years, etc. After entering the number of years, hit the ENTER key to open the 'Calculate' button;

9. Click the 'Calculate' button;

10. Depreciation Yearly - after 'Calculate' click, result of calculation;

11. Depreciation Monthly - after 'Calculate' click, result of calculation;

12. Depreciation Hourly - after 'Calculate' click, result of calculation;

13. Due Date - after 'Calculate' click, result of calculation.

14. Asset ID - select from choices:

a. POB - Plant/Office Building

b. MACHINERY (example: pumps, Jug cleaning machine, etc.)

c. EQUIPMENT (example: Softener Tank, Carbon Adsorption Tank, Sediment Tank, etc)

d. INSTRUMENT (example: TDS meter, pH meter, etc)

e. TOOL (example: screw driver, hammer, etc.)

f. VEHICLE (example: Kolong-Kolong delivery trike, etc)

g. LAND (parcel of land bought by the company)

h. JUG (example: Round Jug Pet, Slim Jug, etc.)

15. Asset Account No. in COA - select from COA (chart of accounts) for the appropriate account number. It is important to select the correct account!

16. When done, click 'Ready to Save' button;

17. To save, click the 'Save Data' button.


Edit

To Edit an asset,

1. From the Assets section grid control, position the highlight bar to the record you want to edit;

2. From the section menu bar, click 'Edit';

3..A dialog panel slides from the right side of the screen. Edit the field you want to make changes;

4. When done, click 'Ready to Save' button;

5. To save, click the 'Save Data' button.

Note: For details of each fields, please refer to the topic on how to Add an Asset.


Delete

To Delete an Asset,

1. At the Asset section grid control, position the highlight bar to the specific row that you want to delete;

2. At the section menu bar, click 'Delete'.

3. You will be asked to enter your authorization code;

4. You will be prompted to confirm the deletion. Yes, to proceed to delete. No, to abort.


Report

You can view and print the Assets List Report.

To Access the Assets List Report

From the Assets section Report menu bar, click Assets List Report


Assets List Report

To View and Print the Assets List Report

1. The screen displays the Assets List, as shown;

2. To filter, click the Custom-Query Dialog Panel icon located at the upper-right hand side of the section header;

3. To print, click the print icon located beside the custom-query dialog panel;

4. For help, click the help icon.

5. To go back to the Assets main page, from the Navigation section menu bar, click Go to Assets Main Page.


Product List

This is the masterlist of all products. Any new products are defined in this list.

A product is defined by the following:

1. Product ID - this is a unique ID number with numeric data type.

2. Description - it describes in specific terms what the product is.

3. Unit of Measure (UOM) - choices example: PCS, KGS, SET, TON, ML, L, etc. Must be in uppercase.


Add

To Add,

1. From the section menu bar, click 'Add'. A new row at the bottom of this section will open with the 'Product ID' column already filled with a value 1 increment higher than the last one;

2. Type-in the 'Description'. It is advised to follow a certain rule: SIZE+SPACE+DESCRIPTION (max. 80 characters);

3. Type-in the uom;

4. When done, hit the ENTER key. At this point, the data is saved and the section gets the 'Readonly' attribute.


Edit

To Edit,

1. From the section menu bar, click 'Edit'. You will be prompted to enter your authorization code. After validation of the authorization code, the section's 'Readonly' attribute becomes 'Editable'. You can edit any cell of the grid, so please be very careful with the data that is opened to you;

2. It is recommended that before clicking 'Edit', first position the highlight bar to the specific row you want to edit;

3. When you are done with editing, hit the ENTER key to save the data and restore the 'Readonly' safeguard for the section's grid control.

.


Delete

To Delete,

1. First, position the highlight bar to the specific row that you want to delete;

2. From the section menu, click 'Delete'.

3. You will be prompted to enter your authorization code. After validation of the authorization code, you will be prompted for the last time to confirm your deletion. Yes to proceed with deletion, and No to abort.


Product Recipe

'Product Recipe' as its name suggests, it tells us what the product is composed of.

Example,

Our 'Product Recipe' for Product ID: 1001 are as follows:

1. 2.5 GAL ROUND JUG PET, 1 PC at a Unit Price of PX.XX

2. CAP WITH PLUG PET, 1 SET at a Unit Price of PX.XX

3. RAW WATER, 2.5 GAL at a Unit Price of PXX.XX

Product List grid control and Product Recipe grid control are related to each other thru their common Product ID. In their hierarchy, Product list is the parent and Product Recipe is the child. Whatever Product ID is pointed at the Product List grid control, all records with the same Product ID are all displayed in the Product Recipe grid control.


Add

To Add an item for the product recipe,

1. At the Product list section, position the highlight bar to that specific product;

2. At the 'Product Recipe' menu bar, select 'Add'. A pop-up dialog panel displays a list of components of raw material and accessories. Note, be mindful that duplication of items in the product recipe is not allowed. To select from the list the appropriate item, double-click on that item. This list is populated by the records of store supplies with PRODUCT TYPE = 'RAWACC' and with RAW ACC ID not empty;

3. After selecting (by double-click), the pop-up dialog panel closes and a new row is created at the bottom of the grid with columns for 'Product ID' and 'RM and ACC ID' are filled with values grabbed from the dialog panel;

4. Fill-up by typing data into the columns 'Quantity', 'Unit of Measure' and 'Unit Price'. It is highly suggested to get these information at hand before creating the recipe. Also, make sure the values you will enter are accurate. System will use this information to calculate for the product costing;

5. When done and ready to save the data, hit the ENTER key to save and restores the data safeguard 'Readonly' to the section;

6. Repeat steps 2 to 5 until all product recipe items are complete for a particular product.


Edit

To Edit,

1. At the Product List grid control, position the highlight bar to the Product ID you want to edit;

2. From the section menu bar of the Product Recipe grid control, click 'Edit'. You will be prompted to enter your authorization code;

3. After validation of the authorization code, the section's 'Readonly' attribute becomes 'Editable'. You can edit any cell of the grid, so please be very careful with the data that is opened to you;

4. When you are done with editing, hit the ENTER key to save the data and restore the 'Readonly' safeguard for the section.


Delete

To Delete,

1. At the Product List grid control, position the highlight bar to the Product ID you want to delete;

2. From the section menu bar of the Product Recipe grid control, click 'Delete'. You will be prompted to enter your authorization code;

3. After validation of the authorization code, you will be prompted for the last time to confirm your deletion. Yes to proceed with deletion, and No to abort;

4. All records bearing Product ID highlighted in the Product List will be permanently deleted in the Product Recipe grid control.


Chapter VIII - Validation App


License Validation Form

We offer a 30-day free evaluation period. It is 100% fully-functional!

At the end of the free evaluation period, WRS system will ask for a license key.

To buy the one-time license key you have to register your PC, as follows:

1. From the App Center, run the Validation App. It will generate a registration code which you will email it to us.

2. Create an email and copy-paste and send the registration code as shown below,

3. We will send you the ONE-TIME license key by email, by text message, thru Messenger, or any other means available.

When you receive the license key, run the Validation App from the App Center. If you have any doubt, please feel free to email us or PM us in my Facebook account Elias Quijano, or my mobile phone: 0917 179 9307.

Your license copy of the WRS App is reflected in the About WRS App when you open it.


Chapter IX - Journal App


Journal Records

Journal is a detailed record of all the transactions done by the business.

Journal Main Page has three sections,

1. Journal Records

2. Debit Records

3. Credit Records

And, these sections are related to each other thru their common Account Number. Account number highlighted in Journal Record section are displayed in both the Debit and Credit sections.

The Journal Records section has the following menu bars:

1. Journal Filter Dates

> Input Filter Dates

2. Journal Entries

> Add

> Edit

> Delete

3. Journal Report

> Go to Journal Report Page


Input Filter Dates

To filter the Journal Records

1. At the Journal Records menu bar, click Input Filter Dates;

2. Input Date From and Date To using the date picker;

3. Click Ready to Filter;

4. Click Filter Now.


Journal Entries

It is here where data-entry, data-editing, and data-deleting takes place. It uses a dialog panel that slides from the right side of the screen for its data-entry and data-editing.


Add

To Add a new Journal record

1. From the Journal Records section menu bar, click Add;

2. A data-entry form opens,

3. Fill-up the form:

a. Date - use a date picker

b. Reference No. - system generated (please do not edit, accept it as it is)

c. Entry Description - requires user-input

d. D.E.A./L.E.R. - select from choices Drawings, Expense, Asset/Liability, Equity, Revenue

e. Debit Amount - requires user-input. As you type the amount, the same amount also appears on the credit amount

f. Debit Account Name - select from choices User must make sure to select the appropriate account name;

g. Credit Account Name - requires user to select from choices. Be careful to select the right account name;

h. Other Portion Paid Later - this is an option for split payment (40% cash, 60% to be paid later)

i. If item h is used, you must tick the check box, and the account name is filled-up by the system along with its account number. Fill-up the due date;

j. OR # - this must be filled-up by the user, else you cannot proceed;

k. Ready to Save - user must click this, if something is missing, the Save Data button will not open;

l. Save Data - click to save the data.

Note: This Add feature is a direct and manual way of adding transactions to the journal records. In most cases, adding (entering transactions) is programmatically carried out silently at the background during entering transaction of supplies passing thru the Store. When you received supplies after purchasing, and when you issue supplies, the system undertakes these actions.


Edit

To Edit a Journal record,

1. From the Journal Records section grid control, position the highlight bar to the record you want to edit;

2. From the Journal Records section menu bar, click Edit;

3. A data-entry form opens,

4. Type-in directly to the fields you want to edit;

5. When done, click Ready to Save button;

6. Click Save Data button.

For details of the data-entry form fields, review the topic 'To Add a new Journal Records'

Note: Only records entered here directly in the Journal App can be edited. For instance, if the record you wanted to edit was programmatically entered by the Store App, you must go to that app and do the editing there.

To exit the data-entry form

1. At the data-entry form, to exit the form and go to Journal Main Page;

2. At the Journal Navigation section menu bar, click Go to Journal Main Page.


Delete

To Delete Journal Record

1. At the Journal Records section grid control, position the highlight bar to the record you want to delete;

2. From the section menu bar, click Delete;

3. You will be asked to enter your authorization code;

4. Enter your authorization code, if accepted, you will be prompted to confirm, Yes to proceed with deletion, and No to abort.

5. It will erase the record highlighted account number in the Journal Records, and all records in the DEBIT and CREDIT sections having the same account number with that of the Journal account number.


Journal Report

View, and print the Journal report

1. From the section menu bar, click Go to Journal Report Page;

2. The screen goes to the report page;

3. For help, click the help icon;

4. To Print the report, click the printer icon as sown in the screen shot below


Book of Cash Receipts

A Cash Receipts records otherwise called the Main Entry Book is used to keep track of the Sales of business products sold and other cash received by the business. Entries in the Cash Receipts is posted to the Ledger.

From the App Center, click Cash Receipts App, the screen displays the Book of Cash Receipts main page.


Input a Filter Dates

Records displayed on the Book of Cash Receipts grid control can be filtered according to transaction dates.

To filter

1. At the section menu bar, click Input a Filter Dates;

2. The screen shows a Date From and Date To fields;

3. Input the dates using a date picker;

4. Click Ready to Filter;

5. Click Filter Now;

6. Screen goes back to the Book of Cash Receipts Main Page and displays the records accordingly.


Cash Receipts Report Page

The Cash Receipts Report Page shows records that were filtered based on the dates entered in the Date From and Date To. You can view, and print the report.


Go to Cash Receipts Report Page

To View and Print the Cash Receipts Report

1. From the section menu bar, click Go to Cash Receipts Report Page;

2. Screen goes to the Cash Receipts Report Page;

3. Print the report by clicking the print icon as shown in the screen shot below.


Book of Cash Disbursements

Cash Disbursement Journal is a record of a business internal accounts that itemizes all financial expenditures made with cash or cash equivalents.

To get here, from the App Center, click the Cash Disbursements App.


Input a Filter Dates

Records displayed on the Book of Cash Disbursements grid control can be filtered according to transaction dates.

To filter

1. At the section menu bar, click Input a Filter Dates;

2. The screen shows a Date From and Date To fields;

3. Input the dates using a date picker;

4. Click Ready to Filter;

5. Click Filter Now;

6. Screen goes back to the Book of Cash Disbursements Main Page and displays the records accordingly.


Cash Disbursement Report Page

The Cash Disbursements Report Page shows records that were filtered based on the dates entered in the Date From and Date To. You can view, and print the report.


Go to Cash Disbursement Report Page

To View and Print the Cash Disbursements Report

1. From the section menu bar, click Go to Cash Disbursement Report Page;

2. Screen goes to the Cash Disbursements Report Page;

3. Print the report by clicking the print icon as shown in the screen shot below.


Ledger Book

A ledger is a book or collection of accounts in which account transactions are recorded.

To display the Ledger Main Page,

1. From the App Center, click Ledger (Summary of Accounts) App;

2. Displays the Ledger main page which has three (3) grid controls that are related to each other thru their common Account No.


Input a Filter Dates

To filter

1. At the section menu bar, click Input a Filter Dates;

2. The screen shows a Date From and Date To fields;

3. Input the dates using a date picker;

4. Click Ready to Filter;

5. Click Filter Now;

6. Screen goes back to the Ledger Book Main Page and displays the records accordingly.


Ledger Report Page

The Ledger Report Page shows records that were filtered based on the dates entered in the Date From and Date To. You can view, and print the report.


Go to Ledger Report Page

To View and Print the Ledger Report

1. From the section menu bar, click Go to Ledger Report Page;

2. Screen goes to the Ledger Report Page;

3. Print the report by clicking the print icon as shown in the screen shot below.

4. To go back to the Ledger main page, from the section menu bar, click Go to Ledger Main Page.


End-of-Month Routine

At the end of an accounting period (monthly, hence End-of-Month) the following tasks are performed:

1. Closing of Temporary Accounts (REVENUE, EXPENSE) programmatically;

2. Calculations of Assets Depreciation;

3. Verifying correctness of postings.

These tasks are prerequisites to generating trial balance, income statement, and Balance sheet.

To get here

1. From the App Center, click End-of-Month App;

2. Displays the End-of-Month main page.

How it works

1. In the To Closing Date field, select the month name;

2. Click Ready to Process;

3. System prompt saying that the date selected has already been closed;

4. Clicking Ok, enables all the command buttons as indicates in the screen shot below;

5. Performs End-of-Month Calc. command button remains disabled;

6. Click the command button Undo E-O-M Calc. and Closing.

7. Click Ready to Process;

8. Click Check/Verify Entries;

9. After clicking Check/Verify Entries, a system prompt confirms preliminary data-check okay or NOT okay;

10. If Okay, click Perform End-of-Month Calc command button;

11. If preliminary data-check is NOT okay, click View Verification Report and review the report, find out where the error comes from, and redo steps 1 to 9.

12. Click Ready to Process again to refresh the screen, and since at step 10, the check was okay;

13. The following command buttons are enabled:

a. Go to Generate Income Statement Page

b. Go to Generate Trial Balance Page

c. Go to Generate Balance Sheet Page

14. You can also click the Home icon to go to the App Center Home page.


Chapter XIV - Income Statement App


Income Statement Report

It is one of the three major financial statements that report a company's financial performance over a specific accounting period. It shows a company's revenues and profitability over a period of time.

To get here

1. From the App Center, click Income Statement App;

2. Displays the Income Statement Report main page.

To generate income statement

1. From the section menu bar, click Income Statement;

2. Generate the period From Day and To Day - (both will be generated when the Month Name is selected). Select the Month Name in the From Month and To Month;

3. .Click Ready to Process;

4. Click Generate Income Statement;

The screen shot below is the final generated income statement.

Reminder: All values are not from actual WRS operation, but created only for the purpose of illustration.

From section menu bars and command icons

1. To go back to the App Center, click the Home icon.

2. To view the income statement notes, click the appropriate note number, as shown below.

3. To print, click the printer icon located at the upper right hand side of the header.

4. For Help, click the ? icon located at the upper right hand side of the header.


Trial Balance Report

Trial balance is used to prepare balance sheets and other financial statements and are an important document for auditors. A trial balance is done to check that the debit and credit column totals of the general ledger accounts match each other, which helps spot any accounting errors.

To get here

1. From the App Center, click Trial Balance App;

2. Displays the Trial Balance Report main page.

To generate trial balance

1. From the section menu bar, click Trial Balance;

2. Input the As Of date as ending date of the trial balance. Select the date from date picker;

3. Click Ready to Process;

4. Click Generate Trial Balance.

From section menu bars and command icons

1. To go back to the App Center, click the Home icon.

2. To print, click the printer icon located at the upper right hand side of the header.

4. For Help, click the ? icon located at the upper right hand side of the header.

Reminder: All values are not from actual WRS operation, but created only for the purpose of illustration.


Balance Sheet Report

A balance sheet is a financial statement that reports a company's assets, liabilities, and owner's equity. The balance sheet is one of the three major financial statements that are used to evaluate a business.

To get here

1. From the App Center, click Balance Sheet App;

2. Displays the Balance Sheet Report main page.

To generate the balance sheet

1. From the section menu bar, click Balance Sheet;

2. Input the As Of date as ending date of the balance sheet. Select the date from date picker;

3. Click Ready to Process;

4. Click Generate Balance Sheet.

From section menu bars and command icons

1. To go back to the App Center, click the Home icon.

2. To print, click the printer icon located at the upper right hand side of the header.

4. For Help, click the ? icon located at the upper right hand side of the header.

Reminder: All values are not from actual WRS operation, but created only for the purpose of illustration.